// this function verifies disk space in kilobytes
function verifyDiskSpace(dirPath, spaceRequired)
{
  var spaceAvailable;

  // Get the available disk space on the given path
  spaceAvailable = fileGetDiskSpaceAvailable(dirPath);

  // Convert the available disk space into kilobytes
  spaceAvailable = parseInt(spaceAvailable / 1024);

  // do the verification
  if (spaceAvailable < spaceRequired)
  {
    logComment("Insufficient disk space: " + dirPath);
    logComment("  required : " + spaceRequired + " K");
    logComment("  available: " + spaceAvailable + " K");
    return false;
  }

  return true;
}

// main code block

var err;
var gVersion = "1.0";
var srDest = 12;

var err = initInstall("L'jizzilla 1.0", "ljizzilla", gVersion);
logComment("initInstall: " + err);

var fProgram = getFolder("Program");
var fChrome = getFolder("Chrome");

if (verifyDiskSpace(fProgram, srDest))
{
  err = addDirectory("", gVersion, "ljizzilla", fChrome, "ljizzilla", true);
  logComment("addDirectory: " + err);

  registerChrome(CONTENT | DELAYED_CHROME, getFolder(fChrome, "ljizzilla"), "content/");
  /*registerChrome(LOCALE | DELAYED_CHROME, getFolder(fChrome, "ljizzilla"), "locale/en-US/");*/
  /*registerChrome(SKIN | DELAYED_CHROME, getFolder(fChrome, "ljizzilla"), "skin/"); */

  if (getLastError() == SUCCESS)
  {
    err = performInstall(); 
    logComment("performInstall: " + err);
    alert("You must restart Mozilla to complete installation\n\nL'Jizzilla will show up in the Tasks menu");
  }
  else
  {
    cancelInstall(err);
  }
}

// end main
